close all; format compact; keep pphome; % clean up 

%%
d=0.1; zeta=-2; f=2; r=0.02; sigma=0; mu=0; tau=0.1; v=1;
p=[]; par=[d; zeta; f; r; sigma; mu; tau; v];  % Parameter: d,zeta,f,r,sigma,mu,tau,v
nx=512; p=cLLinit(p,0,2*pi,2*nx,par); p=setfn(p,'tr'); 
sv=@(x) [(1+r*(x(1)^2+x(2)^2))*x(2)+zeta*x(1)-x(1)^3-x(2)^2*x(1)+mu*r*tau*(x(1)^2+x(2)^2)^2; 
    -(1+r*(x(1)^2+x(2)^2))*x(1)+zeta*x(2)-x(1)^2*x(2)-x(2)^3-sigma*r*tau*(x(1)^2+x(2)^2)^2+f];
start=fsolve(sv,[0, 0]);
u1=start(1)*ones(p.np,1); u2=start(2)*ones(p.np,1);
p.u=[u1;u2;par];
p.sw.bcper=1; p=box2per(p);
p.sol.ds=0.01;
%%
p=Gasmi_cont(p,800);
%% Switch to bifurcation branch and continue
p=swibra('tr','bpt15','b',0.1);
p=Gasmi_cont(p,250);
%% Continuation in sigam and mu
p = loadp('b','pt180'); % starting point
p=resetc(p); p.file.smod=2; clf(figure(2));
p=setfn(p,'sigma_cont');
p.u(end-1)=0.1; par(end)=1; % tau, v
p.nc.ilam=[5;6]; p.nc.nq=1;
p.fuha.qf=@qf_sym;
p.sw.qjac=1; p.fuha.qfder=@qfder_sym;
p.sol.ds=0.01;p.nc.dsmax=0.5; p=Gasmi_cont(p,36);

p = loadp('b','pt180'); % starting point
p=resetc(p); p.file.smod=2; clf(figure(2));
p=setfn(p,'sigma_cont-');
p.u(end-1)=0.1; par(end)=1; % tau, v
p.nc.ilam=[5;6]; p.nc.nq=1;
p.fuha.qf=@qf_sym;
p.sw.qjac=1; p.fuha.qfder=@qfder_sym;
p.sol.ds=-0.01;p.nc.dsmax=0.5; p=Gasmi_cont(p,36);
%% go back
cd ..