function [f1u,f1v,f2u,f2v]=njac(p,u) % local (no spat.derivatives) Jacobian 
par=u(p.nu+1:end); u=p.mat.fill*u(1:p.nu); 
n=p.np; u1=u(1:n); u2=u(n+1:2*n); 
n=zeros(n,1);
f1u=-(par(2)+par(6)*n-(3*u1.^2+u2.^2))-2*par(4)*u1.*u2;
f1v=2*u1.*u2-(1+par(5)*n+par(4)*(u1.^2+3*u2.^2));
f2u=(1+par(5)*n+par(4)*(3*u1.^2+u2.^2))+2*u1.*u2; 
f2v=-(par(2)+par(6)*n-(u1.^2+3*u2.^2))+par(4)*u1.*u2;
end
