function f=nodalf(p,u) % nonlinearity for cGL 
par=u(p.nu+1:end); u=p.mat.fill*u(1:p.nu); % extract param., extend sol
n=p.np; u1=u(1:n); u2=u(n+1:2*n); 
N=zeros(n,1);
x=getpte(p); x=x'; h=2*pi/(n-1); % mesh size
u4=(u1.^2+u2.^2).^2; tv=par(7)*par(8); rdv = par(4)/par(8); % Abkuerzungen

I = 0;
for i=2:n-1
    I = I + u4(i)*exp(x(i)/tv);
end

I = h/(exp(2*pi/tv) - 1)*( I + 0.5*u4(1)*(exp(x(1)/tv) + exp(x(n)/tv)) );

N(1) = rdv*I;
N(2) = rdv*exp(-x(2)/tv)*( I + h*0.5*(u4(1)*exp(x(1)/tv) + u4(2)*exp(x(2)/tv)) );
N(n) = rdv*I;
for i=3:n-1
    N(i) = 0.5*(u4(1)*exp(x(1)/tv) + u4(i)*exp(x(i)/tv));
    for j = 2:i-1
        N(i) = N(i) + u4(j)*exp(x(j)/tv);
    end
    N(i) = h * N(i);
    N(i) = rdv*exp(-x(i)/tv)*(I + N(i));
end

f1=-(par(2)+par(6)*N-(u1.^2+u2.^2)).*u1-(1+par(5)*N+par(4)*(u1.^2+u2.^2)).*u2; 
f2=-(par(2)+par(6)*N-(u1.^2+u2.^2)).*u2+(1+par(5)*N+par(4)*(u1.^2+u2.^2)).*u1-par(3); 
f=[f1;f2];